<%@ Page language="c#" Codebehind="Search.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.Search" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ContentPlaceHolderID="head" runat="server">
    <link type="text/css" href="js/jquery-ui-1.8.7.custom.css" rel="stylesheet" />
    <link href="jquery.autocomplete.css" type="text/css" rel="Stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
    <asp:datagrid id="gridIssues" runat="server" Width="100%" CssClass="lightbg graphtable sortable" BorderColor="Silver"
		BorderStyle="Solid" CellPadding="7" AutoGenerateColumns="False" 
        EnableViewState="False" onitemdatabound="gridIssues_ItemDataBound"
        UseAccessibleHeader="true">
        <AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:TemplateColumn HeaderText="Ticket" meta:resourcekey="colIssueResource1">
				<ItemTemplate>
					<asp:HyperLink ID="HyperLink1" runat="server" Text='<%# Eval("Subject") %>' NavigateUrl='<%# Eval("IssueID", "ViewIssue.aspx?IssueID={0}") %>' meta:resourcekey="HyperLinkResource1"></asp:HyperLink>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="Name" HeaderText="Category" meta:resourcekey="colCategoryResource1"></asp:BoundColumn>
			<asp:TemplateColumn></asp:TemplateColumn>
		</Columns>
	</asp:datagrid>

	<p><asp:Label ID="lblNote" runat="server" EnableViewState="False" meta:resourcekey="lblNoteResource1">The search engine returns only the tickets you have permission to view. All 
		search parameters are optional.</asp:Label>
	</p>
	<table class="graphtable lightbg" width="100%" cellpadding="7">
		<tr>
			<th><asp:Label ID="lblTitle" runat="server" EnableViewState="False" meta:resourcekey="lblTitleResource1">Search for a ticket</asp:Label></th>
		</tr>
		<tr>
			<td>
				<table cellpadding="7" class="grey">
				    <tr>
				        <td align="right"><b><asp:Label runat="server" ID="lblSearch" meta:resourcekey="btnSearchResource1"></asp:Label>:</b></td>
				        <td style="width:200px"><asp:TextBox id="tbQuery" runat="server" Width="100%"></asp:TextBox></td>
				        <td><asp:Button id="btnSearch" runat="server" Text="search" Font-Bold="true" CssClass="gradientbg" onclick="btnSearch_Click" meta:resourcekey="btnSearchResource1"></asp:Button></td>
				        <td style="width:200px" colspan="2"></td>
				    </tr>
				    <tr><td style="border-bottom:1px solid silver" colspan="5"><br /><b>Additional options:</b></td></tr>
                    <tr>
						<td rowspan="6" colspan="2" style="vertical-align:top;" align="left"><asp:Label ID="lblCateg" runat="server" EnableViewState="False" meta:resourcekey="lblCategResource1">Category:</asp:Label><br />
						<asp:ListBox SelectionMode="Multiple" Rows="11" id="ddlCategory" runat="server" Width="100%" /></td>
					    <td align="right" style="white-space:nowrap"><asp:Label ID="Label1" runat="server" EnableViewState="False" meta:resourcekey="Label1Resource1">From (YYYY-MM-DD):</asp:Label></td>
				        <td><asp:TextBox ID="txtDateFrom" Width="100%" CssClass="datepick" runat="server" meta:resourcekey="txtDateFromResource1"></asp:TextBox></td>
                    </tr>
				    <tr>
				        <td align="right"><asp:Label ID="Label4" runat="server" EnableViewState="False" meta:resourcekey="Label4Resource1">To:</asp:Label></td>
				        <td colspan="2"><asp:TextBox id="txtDateTo" Width="100%" CssClass="datepick" runat="server" meta:resourcekey="txtDateToResource1"></asp:TextBox></td>
					</tr>
					<tr>
						<td align="right"><asp:Label ID="lblFrom" runat="server" EnableViewState="False" meta:resourcekey="lblFromResource1">From:</asp:Label></td>
						<td colspan="2"><asp:TextBox id="tbFrom" runat="server" Width="100%" meta:resourcekey="tbFromResource1"></asp:TextBox></td>
					</tr>
					<tr>
                        <td align="right"><asp:Label ID="lblFromCompany" runat="server" EnableViewState="False" meta:resourcekey="lblFromCompanyResource1">From company:</asp:Label></td>
						<td colspan="2"><asp:TextBox id="tbFromCompany" runat="server" Width="100%" meta:resourcekey="tbFromResource1"></asp:TextBox>
                        <asp:HiddenField ID="hiddenCompanyID" runat="server" EnableViewState="false" /></td>
                    </tr>
                    <tr>
						<td align="right" style="white-space:nowrap"><asp:Label ID="Label3" runat="server" EnableViewState="False" meta:resourcekey="Label3Resource1">Assigned to:</asp:Label></td>
						<td colspan="2"><asp:TextBox id="tbAssignedTo" runat="server" Width="100%" meta:resourcekey="tbAssignedToResource1"></asp:TextBox></td>
					</tr>
					<tr>
						<td align="right"><asp:Label ID="lblStatus" runat="server" EnableViewState="False" meta:resourcekey="lblStatusResource1">Status:</asp:Label></td>
						<td align="right"><asp:CheckBox ID="cbStatusNot" runat="server" Text="NOT" /></td>
						<td>
						    <asp:DropDownList ID="ddlStatus" runat="server" DataTextField="Name" DataValueField="StatusID"></asp:DropDownList></td>
					</tr>
					<asp:Repeater id="rptCustomFields" runat="server" EnableViewState="false">
					<HeaderTemplate>
					    <tr><td align="left" style="border-bottom:1px solid silver" colspan="4"><br /><br /><b>Custom fields:</b></td></tr>
					</HeaderTemplate>
			        <ItemTemplate>
			            <tr>
                            <td style="text-align:right;white-space:nowrap"><%# Eval("FieldName") %>:</td>
                            <td colspan="3"><%# RenderCustomFieldInput(Eval("Type"), Eval("FieldID")) %></td>
			            </tr>
			        </ItemTemplate>
			        </asp:Repeater>
			        
			        <tr>
					    <td colspan="4" align="left"><br />
					        <script type="text/javascript">
					            function SwitchNumberField(value) {
					                document.getElementById("<%= tbNumberOfEntries.ClientID %>").disabled = !value;
					            }
	                        </script>
	                        <asp:CheckBox ID="cbShowLastComments" runat="server" Text="Show latest entries from the log" meta:resourcekey="cbShowLastCommentsResource1" onclick="SwitchNumberField(this.checked);" />
	                        &nbsp;
	                        <asp:TextBox ID="tbNumberOfEntries" runat="server" Text="2" Width="15px"></asp:TextBox>
					    </td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	
<!--datepicker-->
<script type="text/javascript" src="js/jquery-ui-1.8.7.custom.min.js"></script>
<script type="text/javascript">
    //datepicker init
    $(function () {
    	$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
    });
</script>
	
<!--autocomplete (for "add subscriber" searchbox)-->
<script src="js/jquery.autocomplete.js" type="text/javascript"></script>
<script type="text/javascript">
    var searchBox1ID = '<%= tbFrom.ClientID %>';
    var searchBox2ID = '<%= tbAssignedTo.ClientID %>';
    $(document).ready(function() {
        $("#" + searchBox1ID).autocomplete('ajaxusersearchautocomplete.ashx', {
            delay: 200
        });
        $("#" + searchBox2ID).autocomplete('ajaxusersearchautocomplete.ashx', {
            delay: 200
        });
    });
</script>
<script type="text/javascript">
    //autocomplete (for "company" searchbox)
    $(document).ready(function () {
        $("#<%= tbFromCompany.ClientID %>").autocomplete('ajaxcompaniessearchautocomplete.ashx', {
            delay: 100,
            onItemSelect: function (li) {
                var companyId = li.extra[0];
                SelectCompany(companyId);
            }
        });
    });
    function SelectCompany(companyId) {
        $("#<%= hiddenCompanyID.ClientID %>").val(companyId);
    }
</script>
</asp:Content>
